diff options
author | Vijay Bellur <vbellur@redhat.com> | 2013-12-27 17:54:50 +0530 |
---|---|---|
committer | Vijay Bellur <vbellur@redhat.com> | 2014-01-27 02:21:19 -0800 |
commit | add56c1fd5c4ca13ebd6c84c458383d727cb2a3c (patch) | |
tree | 7262a496cd9fb8948e19eb46caf71f2342e2400e | |
parent | 3a35e939ec811926f810afd792979f526f8dcce9 (diff) |
tests: Add rpc coverage tests.
1. Moves rpc-coverage.sh from extras/ to tests/basic/
2. Fixes a symlink test
Change-Id: I2fb8f8441434acfd7bd7fff72deedfbd2410d08c
BUG: 764966
Signed-off-by: Vijay Bellur <vbellur@redhat.com>
Reviewed-on: http://review.gluster.org/6609
Reviewed-by: Niels de Vos <ndevos@redhat.com>
Tested-by: Gluster Build System <jenkins@build.gluster.com>
Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>
-rwxr-xr-x | tests/basic/rpc-coverage.sh (renamed from extras/rpc-coverage.sh) | 7 | ||||
-rw-r--r-- | tests/basic/rpc-coverage.t | 25 |
2 files changed, 30 insertions, 2 deletions
diff --git a/extras/rpc-coverage.sh b/tests/basic/rpc-coverage.sh index 9148a73e241..dc66969d045 100755 --- a/extras/rpc-coverage.sh +++ b/tests/basic/rpc-coverage.sh @@ -48,7 +48,7 @@ set -o pipefail; function fail() { - echo "$*: failed."; + echo "$*: failed."; exit 1; } @@ -139,7 +139,10 @@ function test_symlink() { local msg; - ln -s $PFX/dir/file $PFX/dir/symlink; + pushd; + cd $PFX/dir; + ln -s file symlink; + popd; test "$(stat -c '%F' $PFX/dir/symlink)" == "symbolic link" || fail "Creation of symlink" msg=$(cat $PFX/dir/symlink); diff --git a/tests/basic/rpc-coverage.t b/tests/basic/rpc-coverage.t new file mode 100644 index 00000000000..5dfeaa9422e --- /dev/null +++ b/tests/basic/rpc-coverage.t @@ -0,0 +1,25 @@ +#!/bin/bash + +. $(dirname $0)/../include.rc +. $(dirname $0)/../volume.rc + +cleanup; + +TEST glusterd +TEST pidof glusterd +TEST $CLI volume info; + +TEST $CLI volume create $V0 replica 2 stripe 2 $H0:$B0/${V0}{1,2,3,4,5,6,7,8}; + +EXPECT "$V0" volinfo_field $V0 'Volume Name'; +EXPECT 'Created' volinfo_field $V0 'Status'; +EXPECT '8' brick_count $V0 + +TEST $CLI volume start $V0; +EXPECT 'Started' volinfo_field $V0 'Status'; + +## Mount FUSE +TEST glusterfs -s $H0 --volfile-id $V0 $M1; + +TEST $(dirname $0)/rpc-coverage.sh $M1 +cleanup; |